Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGComponentTransferFunctionElement

All Superinterfaces:
  Element, Node, SVGElement

All Known Subinterfaces:
  SVGFEFuncAElement, SVGFEFuncBElement, SVGFEFuncGElement, SVGFEFuncRElement

public interface SVGComponentTransferFunctionElement
extends SVGElement

Field Summary
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE`
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_GAMMA`
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY`
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_LINEAR`
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_TABLE`
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedNumber` | `getAmplitude()`
`SVGAnimatedNumber` | `getExponent()`
`SVGAnimatedNumber` | `getIntercept()`
`SVGAnimatedNumber` | `getOffset()`
`SVGAnimatedNumber` | `getSlope()`
`SVGAnimatedNumberList` | `getTableValues()`
`SVGAnimatedEnumeration` | `getType()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN

### SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY

### SVG_FECOMPONENTTRANSFER_TYPE_TABLE

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_TABLE

### SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE

### SVG_FECOMPONENTTRANSFER_TYPE_LINEAR

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_LINEAR

### SVG_FECOMPONENTTRANSFER_TYPE_GAMMA

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_GAMMA

Method Detail

### getType

    public SVGAnimatedEnumeration getType()

### getTableValues

    public SVGAnimatedNumberList getTableValues()

### getSlope

    public SVGAnimatedNumber getSlope()

### getIntercept

    public SVGAnimatedNumber getIntercept()

### getAmplitude

    public SVGAnimatedNumber getAmplitude()

### getExponent

    public SVGAnimatedNumber getExponent()

### getOffset

    public SVGAnimatedNumber getOffset()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD